Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Namespace Methods.Base.GetClientConfig
    Public Class GetClientConfigMethod
        Inherits BaseMethod

        Public Sub New(pLogConfig As LogConfig, pDatabaseIDB As MSSQLServer, pDatabaseECM As MSSQLServer, pGlobalState As GlobalState)
            MyBase.New(pLogConfig, pDatabaseIDB, pDatabaseECM, pGlobalState)
        End Sub

        Public Function Run() As GetClientConfigResponse
            Try
                Return New GetClientConfigResponse(GlobalState.ClientConfig)
            Catch ex As Exception
                Logger.Warn("Error occurred while getting client config!")
                Return New GetClientConfigResponse(ex)
            End Try
        End Function
    End Class

End Namespace